ScanTrust Product Uploader
===
This tool is used to bulk create products on the ScanTrust system using a CSV source file. The script will validate the 
CSV and attempt to create the products using the ScanTrust API.

Requirements
---
**Use a pre-compiled version:**

The tool is available, pre-compiled for Windows, Linux or Mac. See Dev Portal for the latest download link.

https://devportal.scantrust.com/

**ScanTrust system requirements:**
- An active user/UAT with sufficient rights to create products
- CSV with products in the right format to upload

CSV Format
---
Required CSV headers are:

- `sku` The desired SKU for the product
- `name` The product name

Optional headers are

- `brand_id` The ID of the associated brand on the ScanTrust system
- `client_url` Associated product URL
- `description` product description
- `campaign` ID of a ScanTrust campaign to associate the product with
- `stc_key[_key]` STC additional fields to add to the product data (see info below)

**STC fields**

STC Fields are additional fields the contain information specific to a STC website. They can be posted in the following format:

`stc_field1` will translate to `{"field1": "Value specified in CSV"}`

`stc_field2_en` will translate to `{"field2": [{"en": "Value specified in CSV"}]}`

`stc_field2_cn` will translate to `{"field2": [{"en": "Value specified in CSV"}, {"cn": "Second value specified"}]}`

        sku,name,brand_id,description,stc_desciption_nl
        SKU1,Product One,12,This is Product One,Dit is Product One

All additional fields  will be ignored by the API.


Usage
---

Run this tool in your terminal/cmd with sufficient rights. For optimal usage, add the tool to your user path variables.

    $ ./product_upload my_products.csv --token your_uat_token

This tool can be ran using a UAT token (**recommended**) which is obtained from the ScanTrust portal under you user settings.
The tool also supports regular user/password authentication and will prompt for this if no token is given.

**Optional Parameters**

**--server**

The ScanTrust server domain. Defaults to `api.scantrust.com`

**--user**

Your ScanTrust account email

**--password**

Your ScanTrust password. If not specified you will be asked for input when running the script.

**--token**

UAT token to login from the ScanTrust portal. This token will take precedence over user/pass authentication.

**--verbose**

Run the tool with extra output, handy to debug errors.

**--logfile**

Custom logfile. Defaults to `<csv file>.log`